Bug 109935 - %post scriptlet fails
Summary: %post scriptlet fails
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-13 04:31 UTC by Enrico Scholz
Modified: 2015-01-04 22:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 05:08:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2003-11-13 04:31:18 UTC
Description of problem:

The conditionalized actions in the scriptlets should be expressed in a
more positive manner. E.g. write

| [ ! -x /usr/sbin/module_upgrade ] || /usr/sbin/module_upgrade

instead of the

| [ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade


With the latter (current) version, the entire scriptlet will fail when
/usr/sbin/module_upgrade does not exist.


Version-Release number of selected component (if applicable):

kernel-2.4.22-1.2115.nptl

Comment 1 Enrico Scholz 2004-11-02 09:10:16 UTC
Any reasons for this 'WONTFIX'? The current version does not make any
sense (but this is not uncommon in FC kernel-packaging).

Comment 2 Dave Jones 2004-11-02 20:33:02 UTC
FC-1 is end of life.


Comment 3 Enrico Scholz 2004-11-02 20:37:21 UTC
ok, recent FC3 kernel is affected by the same kind of error:

| [ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg ...

Comment 4 Dave Jones 2004-11-29 09:23:35 UTC
if the initrd fails to build due to a missing new-kernel-pkg, I'd prefer to bail
early instead of continuing as if nothing went wrong, and having users think the
kernel installed correctly.


Comment 5 Enrico Scholz 2004-11-29 09:43:13 UTC
but why this

| [ -x /sbin/new-kernel-pkg ] && /sbin/new-kernel-pkg ...

?

This really does not make sense... This statement will fail silently when
/sbin/new-kernel-pkg does not exist without giving any hint why the scriptlet fails.

rpm dep-tracking ensures that /sbin/new-kernel-pkg is installed at %post
scriptlet time, so why this additional check? Using the suggested '||' format
would allow to skip the new-kernel-pkg part which might be unwanted e.g. in
vservers (where loopback devices can not be mounted).

Comment 7 Dave Jones 2005-01-11 01:00:41 UTC
should be fixed in cvs.



Note You need to log in before you can comment on or make changes to this bug.